<div
  class="full-width"
  [formGroup]="formGroup"
  [attr.data-test-field-name]="fieldName"
  sqtmCoreKeyupStopPropagation
>
  <textarea
    #textAreaField
    nz-input
    [formControlName]="fieldName"
    (blur)="handleBlur($event)"
    [rows]="rows"
  >
  </textarea>
  @for (error of errors; track error) {
    <div class="has-error">
      <span
        [attr.data-test-error-key]="error.provideI18nKey()"
        class="sqtm-core-error-message"
        >{{ error.provideI18nKey() | translate }}</span
      >
    </div>
  }
</div>
